#
# spec file for package at76_usb (Version 0.14beta1)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# nodebuginfo
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv kernel-source kernel-syms less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt rpm sed sysvinit tar texinfo timezone util-linux zlib


Name:           at76_usb
BuildRequires:  kernel-source kernel-syms module-init-tools
Summary:        Kernel Module for at76c50x Adapters
Version:        0.14beta1
Release:        4.1
Group:          System/Kernel
License:        GPL v2 or later
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/Tools.html
AutoReqProv:    on
Source:         at76_usb-%{version}.tar.bz2
Patch1:         at76_usb.diff
Patch2:         at76_usb.config_h.patch
Patch3:         at76_usb.INIT_WORK.patch
Patch4:         at76_usb-skb_change.patch
Source100:      preamble
ExclusiveArch:  %ix86 x86_64 ppc ppc64
%suse_kernel_module_package -n at76_usb -p %_sourcedir/preamble kdump um

%description
This package contains a driver for wireless LAN USB adapters with Atmel
at76c503, at76c505 and at76c505a chipsets.



Authors:
--------
    Joerg Albert

%package -n at76_usb-KMP
Group:          System/Kernel
License:        GPL v2 or later
Summary:        Kernel Module for at76c50x Adapters

%description -n at76_usb-KMP
This package contains a driver for wireless LAN USB adapters with Atmel
at76c503, at76c505 and at76c505a chipsets.



Authors:
--------
    Joerg Albert

%prep
%setup -n at76_usb-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4

%build
cd ..
mkdir obj
for flavor in %flavors_to_build; do
  rm -rf obj/$flavor
  cp -r at76_usb-%{version} obj/$flavor
  make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
	M=$PWD/obj/$flavor
done

%install
cd ..
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
	M=$PWD/obj/$flavor
done

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jun 06 2007 - ro@suse.de
- hack to compile with current kernel (completely untested)
* Fri Apr 20 2007 - ro@suse.de
- no debuginfo (no main package)
* Wed Apr 04 2007 - lrupp@suse.de
- added module-init-tools to BuildRequires
* Mon Mar 26 2007 - jg@suse.de
- created own package for at76_usb (formerly part of wlan-kmp)
